libnl: bridge_info Struct Reference

libnl 3.12.0

bridge_info Struct Reference
Routing Library (libnl-route) » Links (Interfaces) » Bridging

## Data Fields
uint32_t | ce_mask
uint32_t | b_ageing_time
uint16_t | b_vlan_protocol
uint16_t | b_vlan_default_pvid
uint8_t | b_vlan_filtering
uint8_t | b_vlan_stats_enabled
uint8_t | b_nf_call_iptables
uint8_t | b_nf_call_ip6tables
uint8_t | b_nf_call_arptables
uint32_t | b_stp_state
uint8_t | b_mcast_router
uint8_t | b_mcast_snooping
struct br_boolopt_multi | b_boolopts

## Detailed Description

Definition at line 36 of file bridge_info.c.

## Field Documentation

## ◆ ce_mask

uint32_t bridge_info::ce_mask

Definition at line 37 of file bridge_info.c.

## ◆ b_ageing_time

uint32_t bridge_info::b_ageing_time

Definition at line 38 of file bridge_info.c.

## ◆ b_vlan_protocol

uint16_t bridge_info::b_vlan_protocol

Definition at line 39 of file bridge_info.c.

## ◆ b_vlan_default_pvid

uint16_t bridge_info::b_vlan_default_pvid

Definition at line 40 of file bridge_info.c.

## ◆ b_vlan_filtering

uint8_t bridge_info::b_vlan_filtering

Definition at line 41 of file bridge_info.c.

## ◆ b_vlan_stats_enabled

uint8_t bridge_info::b_vlan_stats_enabled

Definition at line 42 of file bridge_info.c.

## ◆ b_nf_call_iptables

uint8_t bridge_info::b_nf_call_iptables

Definition at line 43 of file bridge_info.c.

## ◆ b_nf_call_ip6tables

uint8_t bridge_info::b_nf_call_ip6tables

Definition at line 44 of file bridge_info.c.

## ◆ b_nf_call_arptables

uint8_t bridge_info::b_nf_call_arptables

Definition at line 45 of file bridge_info.c.

## ◆ b_stp_state

uint32_t bridge_info::b_stp_state

Definition at line 46 of file bridge_info.c.

## ◆ b_mcast_router

uint8_t bridge_info::b_mcast_router

Definition at line 47 of file bridge_info.c.

## ◆ b_mcast_snooping

uint8_t bridge_info::b_mcast_snooping

Definition at line 48 of file bridge_info.c.

## ◆ b_boolopts

struct br_boolopt_multi bridge_info::b_boolopts

Definition at line 49 of file bridge_info.c.